Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network116.24.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
116.24.0.0
Broadcast address
116.31.255.255
First usable
116.24.0.1
Last usable
116.31.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 74180000 · Integer 1947729920 to 1948254207
Reverse DNS zones
24.116.in-addr.arpa
25.116.in-addr.arpa
26.116.in-addr.arpa
27.116.in-addr.arpa
28.116.in-addr.arpa
29.116.in-addr.arpa
30.116.in-addr.arpa
31.116.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110100.00011000.00000000.00000000116.24.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01110100.00011000.00000000.00000000116.24.0.0
Broadcast01110100.00011111.11111111.11111111116.31.255.255
Split into smaller subnets/22

116.24.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1116.24.0.0/22116.24.0.1 to 116.24.3.254116.24.3.2551,022
2116.24.4.0/22116.24.4.1 to 116.24.7.254116.24.7.2551,022
3116.24.8.0/22116.24.8.1 to 116.24.11.254116.24.11.2551,022
4116.24.12.0/22116.24.12.1 to 116.24.15.254116.24.15.2551,022
5116.24.16.0/22116.24.16.1 to 116.24.19.254116.24.19.2551,022
6116.24.20.0/22116.24.20.1 to 116.24.23.254116.24.23.2551,022
7116.24.24.0/22116.24.24.1 to 116.24.27.254116.24.27.2551,022
8116.24.28.0/22116.24.28.1 to 116.24.31.254116.24.31.2551,022
9116.24.32.0/22116.24.32.1 to 116.24.35.254116.24.35.2551,022
10116.24.36.0/22116.24.36.1 to 116.24.39.254116.24.39.2551,022
11116.24.40.0/22116.24.40.1 to 116.24.43.254116.24.43.2551,022
12116.24.44.0/22116.24.44.1 to 116.24.47.254116.24.47.2551,022
13116.24.48.0/22116.24.48.1 to 116.24.51.254116.24.51.2551,022
14116.24.52.0/22116.24.52.1 to 116.24.55.254116.24.55.2551,022
15116.24.56.0/22116.24.56.1 to 116.24.59.254116.24.59.2551,022
16116.24.60.0/22116.24.60.1 to 116.24.63.254116.24.63.2551,022
17116.24.64.0/22116.24.64.1 to 116.24.67.254116.24.67.2551,022
18116.24.68.0/22116.24.68.1 to 116.24.71.254116.24.71.2551,022
19116.24.72.0/22116.24.72.1 to 116.24.75.254116.24.75.2551,022
20116.24.76.0/22116.24.76.1 to 116.24.79.254116.24.79.2551,022
21116.24.80.0/22116.24.80.1 to 116.24.83.254116.24.83.2551,022
22116.24.84.0/22116.24.84.1 to 116.24.87.254116.24.87.2551,022
23116.24.88.0/22116.24.88.1 to 116.24.91.254116.24.91.2551,022
24116.24.92.0/22116.24.92.1 to 116.24.95.254116.24.95.2551,022
25116.24.96.0/22116.24.96.1 to 116.24.99.254116.24.99.2551,022
26116.24.100.0/22116.24.100.1 to 116.24.103.254116.24.103.2551,022
27116.24.104.0/22116.24.104.1 to 116.24.107.254116.24.107.2551,022
28116.24.108.0/22116.24.108.1 to 116.24.111.254116.24.111.2551,022
29116.24.112.0/22116.24.112.1 to 116.24.115.254116.24.115.2551,022
30116.24.116.0/22116.24.116.1 to 116.24.119.254116.24.119.2551,022
31116.24.120.0/22116.24.120.1 to 116.24.123.254116.24.123.2551,022
32116.24.124.0/22116.24.124.1 to 116.24.127.254116.24.127.2551,022
33116.24.128.0/22116.24.128.1 to 116.24.131.254116.24.131.2551,022
34116.24.132.0/22116.24.132.1 to 116.24.135.254116.24.135.2551,022
35116.24.136.0/22116.24.136.1 to 116.24.139.254116.24.139.2551,022
36116.24.140.0/22116.24.140.1 to 116.24.143.254116.24.143.2551,022
37116.24.144.0/22116.24.144.1 to 116.24.147.254116.24.147.2551,022
38116.24.148.0/22116.24.148.1 to 116.24.151.254116.24.151.2551,022
39116.24.152.0/22116.24.152.1 to 116.24.155.254116.24.155.2551,022
40116.24.156.0/22116.24.156.1 to 116.24.159.254116.24.159.2551,022
41116.24.160.0/22116.24.160.1 to 116.24.163.254116.24.163.2551,022
42116.24.164.0/22116.24.164.1 to 116.24.167.254116.24.167.2551,022
43116.24.168.0/22116.24.168.1 to 116.24.171.254116.24.171.2551,022
44116.24.172.0/22116.24.172.1 to 116.24.175.254116.24.175.2551,022
45116.24.176.0/22116.24.176.1 to 116.24.179.254116.24.179.2551,022
46116.24.180.0/22116.24.180.1 to 116.24.183.254116.24.183.2551,022
47116.24.184.0/22116.24.184.1 to 116.24.187.254116.24.187.2551,022
48116.24.188.0/22116.24.188.1 to 116.24.191.254116.24.191.2551,022
49116.24.192.0/22116.24.192.1 to 116.24.195.254116.24.195.2551,022
50116.24.196.0/22116.24.196.1 to 116.24.199.254116.24.199.2551,022
51116.24.200.0/22116.24.200.1 to 116.24.203.254116.24.203.2551,022
52116.24.204.0/22116.24.204.1 to 116.24.207.254116.24.207.2551,022
53116.24.208.0/22116.24.208.1 to 116.24.211.254116.24.211.2551,022
54116.24.212.0/22116.24.212.1 to 116.24.215.254116.24.215.2551,022
55116.24.216.0/22116.24.216.1 to 116.24.219.254116.24.219.2551,022
56116.24.220.0/22116.24.220.1 to 116.24.223.254116.24.223.2551,022
57116.24.224.0/22116.24.224.1 to 116.24.227.254116.24.227.2551,022
58116.24.228.0/22116.24.228.1 to 116.24.231.254116.24.231.2551,022
59116.24.232.0/22116.24.232.1 to 116.24.235.254116.24.235.2551,022
60116.24.236.0/22116.24.236.1 to 116.24.239.254116.24.239.2551,022
61116.24.240.0/22116.24.240.1 to 116.24.243.254116.24.243.2551,022
62116.24.244.0/22116.24.244.1 to 116.24.247.254116.24.247.2551,022
63116.24.248.0/22116.24.248.1 to 116.24.251.254116.24.251.2551,022
64116.24.252.0/22116.24.252.1 to 116.24.255.254116.24.255.2551,022
65116.25.0.0/22116.25.0.1 to 116.25.3.254116.25.3.2551,022
66116.25.4.0/22116.25.4.1 to 116.25.7.254116.25.7.2551,022
67116.25.8.0/22116.25.8.1 to 116.25.11.254116.25.11.2551,022
68116.25.12.0/22116.25.12.1 to 116.25.15.254116.25.15.2551,022
69116.25.16.0/22116.25.16.1 to 116.25.19.254116.25.19.2551,022
70116.25.20.0/22116.25.20.1 to 116.25.23.254116.25.23.2551,022
71116.25.24.0/22116.25.24.1 to 116.25.27.254116.25.27.2551,022
72116.25.28.0/22116.25.28.1 to 116.25.31.254116.25.31.2551,022
73116.25.32.0/22116.25.32.1 to 116.25.35.254116.25.35.2551,022
74116.25.36.0/22116.25.36.1 to 116.25.39.254116.25.39.2551,022
75116.25.40.0/22116.25.40.1 to 116.25.43.254116.25.43.2551,022
76116.25.44.0/22116.25.44.1 to 116.25.47.254116.25.47.2551,022
77116.25.48.0/22116.25.48.1 to 116.25.51.254116.25.51.2551,022
78116.25.52.0/22116.25.52.1 to 116.25.55.254116.25.55.2551,022
79116.25.56.0/22116.25.56.1 to 116.25.59.254116.25.59.2551,022
80116.25.60.0/22116.25.60.1 to 116.25.63.254116.25.63.2551,022
81116.25.64.0/22116.25.64.1 to 116.25.67.254116.25.67.2551,022
82116.25.68.0/22116.25.68.1 to 116.25.71.254116.25.71.2551,022
83116.25.72.0/22116.25.72.1 to 116.25.75.254116.25.75.2551,022
84116.25.76.0/22116.25.76.1 to 116.25.79.254116.25.79.2551,022
85116.25.80.0/22116.25.80.1 to 116.25.83.254116.25.83.2551,022
86116.25.84.0/22116.25.84.1 to 116.25.87.254116.25.87.2551,022
87116.25.88.0/22116.25.88.1 to 116.25.91.254116.25.91.2551,022
88116.25.92.0/22116.25.92.1 to 116.25.95.254116.25.95.2551,022
89116.25.96.0/22116.25.96.1 to 116.25.99.254116.25.99.2551,022
90116.25.100.0/22116.25.100.1 to 116.25.103.254116.25.103.2551,022
91116.25.104.0/22116.25.104.1 to 116.25.107.254116.25.107.2551,022
92116.25.108.0/22116.25.108.1 to 116.25.111.254116.25.111.2551,022
93116.25.112.0/22116.25.112.1 to 116.25.115.254116.25.115.2551,022
94116.25.116.0/22116.25.116.1 to 116.25.119.254116.25.119.2551,022
95116.25.120.0/22116.25.120.1 to 116.25.123.254116.25.123.2551,022
96116.25.124.0/22116.25.124.1 to 116.25.127.254116.25.127.2551,022
97116.25.128.0/22116.25.128.1 to 116.25.131.254116.25.131.2551,022
98116.25.132.0/22116.25.132.1 to 116.25.135.254116.25.135.2551,022
99116.25.136.0/22116.25.136.1 to 116.25.139.254116.25.139.2551,022
100116.25.140.0/22116.25.140.1 to 116.25.143.254116.25.143.2551,022
101116.25.144.0/22116.25.144.1 to 116.25.147.254116.25.147.2551,022
102116.25.148.0/22116.25.148.1 to 116.25.151.254116.25.151.2551,022
103116.25.152.0/22116.25.152.1 to 116.25.155.254116.25.155.2551,022
104116.25.156.0/22116.25.156.1 to 116.25.159.254116.25.159.2551,022
105116.25.160.0/22116.25.160.1 to 116.25.163.254116.25.163.2551,022
106116.25.164.0/22116.25.164.1 to 116.25.167.254116.25.167.2551,022
107116.25.168.0/22116.25.168.1 to 116.25.171.254116.25.171.2551,022
108116.25.172.0/22116.25.172.1 to 116.25.175.254116.25.175.2551,022
109116.25.176.0/22116.25.176.1 to 116.25.179.254116.25.179.2551,022
110116.25.180.0/22116.25.180.1 to 116.25.183.254116.25.183.2551,022
111116.25.184.0/22116.25.184.1 to 116.25.187.254116.25.187.2551,022
112116.25.188.0/22116.25.188.1 to 116.25.191.254116.25.191.2551,022
113116.25.192.0/22116.25.192.1 to 116.25.195.254116.25.195.2551,022
114116.25.196.0/22116.25.196.1 to 116.25.199.254116.25.199.2551,022
115116.25.200.0/22116.25.200.1 to 116.25.203.254116.25.203.2551,022
116116.25.204.0/22116.25.204.1 to 116.25.207.254116.25.207.2551,022
117116.25.208.0/22116.25.208.1 to 116.25.211.254116.25.211.2551,022
118116.25.212.0/22116.25.212.1 to 116.25.215.254116.25.215.2551,022
119116.25.216.0/22116.25.216.1 to 116.25.219.254116.25.219.2551,022
120116.25.220.0/22116.25.220.1 to 116.25.223.254116.25.223.2551,022
121116.25.224.0/22116.25.224.1 to 116.25.227.254116.25.227.2551,022
122116.25.228.0/22116.25.228.1 to 116.25.231.254116.25.231.2551,022
123116.25.232.0/22116.25.232.1 to 116.25.235.254116.25.235.2551,022
124116.25.236.0/22116.25.236.1 to 116.25.239.254116.25.239.2551,022
125116.25.240.0/22116.25.240.1 to 116.25.243.254116.25.243.2551,022
126116.25.244.0/22116.25.244.1 to 116.25.247.254116.25.247.2551,022
127116.25.248.0/22116.25.248.1 to 116.25.251.254116.25.251.2551,022
128116.25.252.0/22116.25.252.1 to 116.25.255.254116.25.255.2551,022
129116.26.0.0/22116.26.0.1 to 116.26.3.254116.26.3.2551,022
130116.26.4.0/22116.26.4.1 to 116.26.7.254116.26.7.2551,022
131116.26.8.0/22116.26.8.1 to 116.26.11.254116.26.11.2551,022
132116.26.12.0/22116.26.12.1 to 116.26.15.254116.26.15.2551,022
133116.26.16.0/22116.26.16.1 to 116.26.19.254116.26.19.2551,022
134116.26.20.0/22116.26.20.1 to 116.26.23.254116.26.23.2551,022
135116.26.24.0/22116.26.24.1 to 116.26.27.254116.26.27.2551,022
136116.26.28.0/22116.26.28.1 to 116.26.31.254116.26.31.2551,022
137116.26.32.0/22116.26.32.1 to 116.26.35.254116.26.35.2551,022
138116.26.36.0/22116.26.36.1 to 116.26.39.254116.26.39.2551,022
139116.26.40.0/22116.26.40.1 to 116.26.43.254116.26.43.2551,022
140116.26.44.0/22116.26.44.1 to 116.26.47.254116.26.47.2551,022
141116.26.48.0/22116.26.48.1 to 116.26.51.254116.26.51.2551,022
142116.26.52.0/22116.26.52.1 to 116.26.55.254116.26.55.2551,022
143116.26.56.0/22116.26.56.1 to 116.26.59.254116.26.59.2551,022
144116.26.60.0/22116.26.60.1 to 116.26.63.254116.26.63.2551,022
145116.26.64.0/22116.26.64.1 to 116.26.67.254116.26.67.2551,022
146116.26.68.0/22116.26.68.1 to 116.26.71.254116.26.71.2551,022
147116.26.72.0/22116.26.72.1 to 116.26.75.254116.26.75.2551,022
148116.26.76.0/22116.26.76.1 to 116.26.79.254116.26.79.2551,022
149116.26.80.0/22116.26.80.1 to 116.26.83.254116.26.83.2551,022
150116.26.84.0/22116.26.84.1 to 116.26.87.254116.26.87.2551,022
151116.26.88.0/22116.26.88.1 to 116.26.91.254116.26.91.2551,022
152116.26.92.0/22116.26.92.1 to 116.26.95.254116.26.95.2551,022
153116.26.96.0/22116.26.96.1 to 116.26.99.254116.26.99.2551,022
154116.26.100.0/22116.26.100.1 to 116.26.103.254116.26.103.2551,022
155116.26.104.0/22116.26.104.1 to 116.26.107.254116.26.107.2551,022
156116.26.108.0/22116.26.108.1 to 116.26.111.254116.26.111.2551,022
157116.26.112.0/22116.26.112.1 to 116.26.115.254116.26.115.2551,022
158116.26.116.0/22116.26.116.1 to 116.26.119.254116.26.119.2551,022
159116.26.120.0/22116.26.120.1 to 116.26.123.254116.26.123.2551,022
160116.26.124.0/22116.26.124.1 to 116.26.127.254116.26.127.2551,022
161116.26.128.0/22116.26.128.1 to 116.26.131.254116.26.131.2551,022
162116.26.132.0/22116.26.132.1 to 116.26.135.254116.26.135.2551,022
163116.26.136.0/22116.26.136.1 to 116.26.139.254116.26.139.2551,022
164116.26.140.0/22116.26.140.1 to 116.26.143.254116.26.143.2551,022
165116.26.144.0/22116.26.144.1 to 116.26.147.254116.26.147.2551,022
166116.26.148.0/22116.26.148.1 to 116.26.151.254116.26.151.2551,022
167116.26.152.0/22116.26.152.1 to 116.26.155.254116.26.155.2551,022
168116.26.156.0/22116.26.156.1 to 116.26.159.254116.26.159.2551,022
169116.26.160.0/22116.26.160.1 to 116.26.163.254116.26.163.2551,022
170116.26.164.0/22116.26.164.1 to 116.26.167.254116.26.167.2551,022
171116.26.168.0/22116.26.168.1 to 116.26.171.254116.26.171.2551,022
172116.26.172.0/22116.26.172.1 to 116.26.175.254116.26.175.2551,022
173116.26.176.0/22116.26.176.1 to 116.26.179.254116.26.179.2551,022
174116.26.180.0/22116.26.180.1 to 116.26.183.254116.26.183.2551,022
175116.26.184.0/22116.26.184.1 to 116.26.187.254116.26.187.2551,022
176116.26.188.0/22116.26.188.1 to 116.26.191.254116.26.191.2551,022
177116.26.192.0/22116.26.192.1 to 116.26.195.254116.26.195.2551,022
178116.26.196.0/22116.26.196.1 to 116.26.199.254116.26.199.2551,022
179116.26.200.0/22116.26.200.1 to 116.26.203.254116.26.203.2551,022
180116.26.204.0/22116.26.204.1 to 116.26.207.254116.26.207.2551,022
181116.26.208.0/22116.26.208.1 to 116.26.211.254116.26.211.2551,022
182116.26.212.0/22116.26.212.1 to 116.26.215.254116.26.215.2551,022
183116.26.216.0/22116.26.216.1 to 116.26.219.254116.26.219.2551,022
184116.26.220.0/22116.26.220.1 to 116.26.223.254116.26.223.2551,022
185116.26.224.0/22116.26.224.1 to 116.26.227.254116.26.227.2551,022
186116.26.228.0/22116.26.228.1 to 116.26.231.254116.26.231.2551,022
187116.26.232.0/22116.26.232.1 to 116.26.235.254116.26.235.2551,022
188116.26.236.0/22116.26.236.1 to 116.26.239.254116.26.239.2551,022
189116.26.240.0/22116.26.240.1 to 116.26.243.254116.26.243.2551,022
190116.26.244.0/22116.26.244.1 to 116.26.247.254116.26.247.2551,022
191116.26.248.0/22116.26.248.1 to 116.26.251.254116.26.251.2551,022
192116.26.252.0/22116.26.252.1 to 116.26.255.254116.26.255.2551,022
193116.27.0.0/22116.27.0.1 to 116.27.3.254116.27.3.2551,022
194116.27.4.0/22116.27.4.1 to 116.27.7.254116.27.7.2551,022
195116.27.8.0/22116.27.8.1 to 116.27.11.254116.27.11.2551,022
196116.27.12.0/22116.27.12.1 to 116.27.15.254116.27.15.2551,022
197116.27.16.0/22116.27.16.1 to 116.27.19.254116.27.19.2551,022
198116.27.20.0/22116.27.20.1 to 116.27.23.254116.27.23.2551,022
199116.27.24.0/22116.27.24.1 to 116.27.27.254116.27.27.2551,022
200116.27.28.0/22116.27.28.1 to 116.27.31.254116.27.31.2551,022
201116.27.32.0/22116.27.32.1 to 116.27.35.254116.27.35.2551,022
202116.27.36.0/22116.27.36.1 to 116.27.39.254116.27.39.2551,022
203116.27.40.0/22116.27.40.1 to 116.27.43.254116.27.43.2551,022
204116.27.44.0/22116.27.44.1 to 116.27.47.254116.27.47.2551,022
205116.27.48.0/22116.27.48.1 to 116.27.51.254116.27.51.2551,022
206116.27.52.0/22116.27.52.1 to 116.27.55.254116.27.55.2551,022
207116.27.56.0/22116.27.56.1 to 116.27.59.254116.27.59.2551,022
208116.27.60.0/22116.27.60.1 to 116.27.63.254116.27.63.2551,022
209116.27.64.0/22116.27.64.1 to 116.27.67.254116.27.67.2551,022
210116.27.68.0/22116.27.68.1 to 116.27.71.254116.27.71.2551,022
211116.27.72.0/22116.27.72.1 to 116.27.75.254116.27.75.2551,022
212116.27.76.0/22116.27.76.1 to 116.27.79.254116.27.79.2551,022
213116.27.80.0/22116.27.80.1 to 116.27.83.254116.27.83.2551,022
214116.27.84.0/22116.27.84.1 to 116.27.87.254116.27.87.2551,022
215116.27.88.0/22116.27.88.1 to 116.27.91.254116.27.91.2551,022
216116.27.92.0/22116.27.92.1 to 116.27.95.254116.27.95.2551,022
217116.27.96.0/22116.27.96.1 to 116.27.99.254116.27.99.2551,022
218116.27.100.0/22116.27.100.1 to 116.27.103.254116.27.103.2551,022
219116.27.104.0/22116.27.104.1 to 116.27.107.254116.27.107.2551,022
220116.27.108.0/22116.27.108.1 to 116.27.111.254116.27.111.2551,022
221116.27.112.0/22116.27.112.1 to 116.27.115.254116.27.115.2551,022
222116.27.116.0/22116.27.116.1 to 116.27.119.254116.27.119.2551,022
223116.27.120.0/22116.27.120.1 to 116.27.123.254116.27.123.2551,022
224116.27.124.0/22116.27.124.1 to 116.27.127.254116.27.127.2551,022
225116.27.128.0/22116.27.128.1 to 116.27.131.254116.27.131.2551,022
226116.27.132.0/22116.27.132.1 to 116.27.135.254116.27.135.2551,022
227116.27.136.0/22116.27.136.1 to 116.27.139.254116.27.139.2551,022
228116.27.140.0/22116.27.140.1 to 116.27.143.254116.27.143.2551,022
229116.27.144.0/22116.27.144.1 to 116.27.147.254116.27.147.2551,022
230116.27.148.0/22116.27.148.1 to 116.27.151.254116.27.151.2551,022
231116.27.152.0/22116.27.152.1 to 116.27.155.254116.27.155.2551,022
232116.27.156.0/22116.27.156.1 to 116.27.159.254116.27.159.2551,022
233116.27.160.0/22116.27.160.1 to 116.27.163.254116.27.163.2551,022
234116.27.164.0/22116.27.164.1 to 116.27.167.254116.27.167.2551,022
235116.27.168.0/22116.27.168.1 to 116.27.171.254116.27.171.2551,022
236116.27.172.0/22116.27.172.1 to 116.27.175.254116.27.175.2551,022
237116.27.176.0/22116.27.176.1 to 116.27.179.254116.27.179.2551,022
238116.27.180.0/22116.27.180.1 to 116.27.183.254116.27.183.2551,022
239116.27.184.0/22116.27.184.1 to 116.27.187.254116.27.187.2551,022
240116.27.188.0/22116.27.188.1 to 116.27.191.254116.27.191.2551,022
241116.27.192.0/22116.27.192.1 to 116.27.195.254116.27.195.2551,022
242116.27.196.0/22116.27.196.1 to 116.27.199.254116.27.199.2551,022
243116.27.200.0/22116.27.200.1 to 116.27.203.254116.27.203.2551,022
244116.27.204.0/22116.27.204.1 to 116.27.207.254116.27.207.2551,022
245116.27.208.0/22116.27.208.1 to 116.27.211.254116.27.211.2551,022
246116.27.212.0/22116.27.212.1 to 116.27.215.254116.27.215.2551,022
247116.27.216.0/22116.27.216.1 to 116.27.219.254116.27.219.2551,022
248116.27.220.0/22116.27.220.1 to 116.27.223.254116.27.223.2551,022
249116.27.224.0/22116.27.224.1 to 116.27.227.254116.27.227.2551,022
250116.27.228.0/22116.27.228.1 to 116.27.231.254116.27.231.2551,022
251116.27.232.0/22116.27.232.1 to 116.27.235.254116.27.235.2551,022
252116.27.236.0/22116.27.236.1 to 116.27.239.254116.27.239.2551,022
253116.27.240.0/22116.27.240.1 to 116.27.243.254116.27.243.2551,022
254116.27.244.0/22116.27.244.1 to 116.27.247.254116.27.247.2551,022
255116.27.248.0/22116.27.248.1 to 116.27.251.254116.27.251.2551,022
256116.27.252.0/22116.27.252.1 to 116.27.255.254116.27.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses